Bug 208334 - multimedia/handbrake: Update to 0.10.5
Summary: multimedia/handbrake: Update to 0.10.5
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Thomas Zander
URL: https://handbrake.fr/news.php?article=36
Keywords: needs-qa, patch
Depends on:
Blocks:
 
Reported: 2016-03-27 17:10 UTC by Ben Woods
Modified: 2016-04-24 15:16 UTC (History)
1 user (show)

See Also:


Attachments
Patch to update multimedia/handbrake to 0.10.5 (5.47 KB, patch)
2016-03-27 17:10 UTC, Ben Woods
no flags Details | Diff
QA: Successful poudriere testport logs for multimedia/handbrake 0.10.5 with patch on FreeBSD 11-current amd64 (gzipped) (125.66 KB, application/gzip)
2016-03-27 19:33 UTC, Ben Woods
no flags Details
QA: Successful poudriere testport logs for multimedia/handbrake 0.10.5 with patch on FreeBSD 9.3 i386 (gzipped) (56.55 KB, application/gzip)
2016-03-27 19:34 UTC, Ben Woods
no flags Details
Revised patch for X11 OPTION (6.57 KB, patch)
2016-03-28 14:29 UTC, Thomas Zander
no flags Details | Diff
Revised patch including FDK_AAC OPTION (7.02 KB, patch)
2016-04-23 16:10 UTC, Thomas Zander
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ben Woods freebsd_committer 2016-03-27 17:10:47 UTC
Created attachment 168693 [details]
Patch to update multimedia/handbrake to 0.10.5

* Update multimedia/handbrake to 0.10.5
* Remove FDK AAC encoder, due to upstream license dispute [1]

  [1] https://forum.handbrake.fr/viewtopic.php?f=33&t=34143

  Changes:
    https://handbrake.fr/news.php?article=36
Comment 1 Ben Woods freebsd_committer 2016-03-27 19:33:41 UTC
Created attachment 168701 [details]
QA: Successful poudriere testport logs for multimedia/handbrake 0.10.5 with patch on FreeBSD 11-current amd64 (gzipped)
Comment 2 Ben Woods freebsd_committer 2016-03-27 19:34:14 UTC
Created attachment 168702 [details]
QA: Successful poudriere testport logs for multimedia/handbrake 0.10.5 with patch on FreeBSD 9.3 i386 (gzipped)
Comment 3 Thomas Zander freebsd_committer 2016-03-28 14:29:19 UTC
Created attachment 168729 [details]
Revised patch for X11 OPTION

Ben, your first patch does not build successfully without the X11 OPTION. This adds an ugly hack to make it compile.

In any case, I would like to turn fdk-aac into a non-default OPTION. For people building the port themselves and accepting license consequences, we should not just take away the best aac codec we currently have.
Comment 4 Thomas Zander freebsd_committer 2016-04-23 16:07:00 UTC
Pushed a new patch to phabricator for review:

https://reviews.freebsd.org/D6077

Could you test it?
Comment 5 Thomas Zander freebsd_committer 2016-04-23 16:10:03 UTC
Created attachment 169604 [details]
Revised patch including FDK_AAC OPTION

Patch is also available on
https://reviews.freebsd.org/D6077
for review
Comment 6 commit-hook freebsd_committer 2016-04-24 15:12:25 UTC
A commit references this bug:

Author: riggs
Date: Sun Apr 24 15:11:56 UTC 2016
New revision: 413944
URL: https://svnweb.freebsd.org/changeset/ports/413944

Log:
  Update to upstream version 0.10.5, turning FDK_AAC into an OPTION

  PR:		208334
  Submitted by:	woodsb02@gmail.com
  Reviewed by:	riggs, jbeich
  Differential Revision:	https://reviews.freebsd.org/D6077

Changes:
  head/multimedia/handbrake/Makefile
  head/multimedia/handbrake/distinfo